#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/private
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/kopete/chatwindow
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kopete_appearanceconfig.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### kcm_kopete_appearanceconfig (module) ######

tde_add_kpart( kcm_kopete_appearanceconfig AUTOMOC
  SOURCES
    appearanceconfig.cpp appearanceconfig_chatwindow.ui
    appearanceconfig_colors.ui appearanceconfig_contactlist.ui
    appearanceconfig_emoticons.ui emoticonseditdialog.cpp
    emoticonseditwidget.ui tooltipeditdialog.cpp
    tooltipeditwidget.ui
  LINK kopetechatwindow-static kopete-shared khtml-shared knewstuff-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
